1. framework components
  2. ›
  3. toast

Toast

Display brief messages to users.

Usage

This component acts as a Singleton. Implement a single instance of <Toast.Group> in the root scope your application.

tsx
import { toaster } from '/some/path/toaster.ts';
import { Toast } from '@skeletonlabs/skeleton-react';
import type { PropsWithChildren } from 'react';

export default function Layout(props: PropsWithChildren) {
	return (
		<>
			{props.children}
			<Toast.Group toaster={toaster}>
				{(toast) => (
					<Toast toast={toast} key={toast.id}>
						<Toast.Message>
						<Toast.Title>{toast.title}</Toast.Title>
						<Toast.Description>{toast.description}</Toast.Description>
						</Toast.Message>
						<Toast.CloseTrigger />
					</Toast>
				)}
			</Toast.Group>
		</>
	);
}

Create a shared reference to the createToaster() instance. We’ll call it toaster here.

ts
<script lang="ts">
	import { createToaster } from '@skeletonlabs/skeleton-react';

	export const toaster = createToaster();
</script>

Use this shared reference to trigger messages on demand throughout your application.

tsx
import { toaster } from '/some/path/toaster.ts';

export default function Page() {
	function onClickHandler() {
		toaster.info({ title: 'Example', description: 'This is a toast message.' });
	}
	return ();
}
tsx
import { toaster } from '/some/path/toaster.ts';

export default function Page() {
	function onClickHandler() {
		toaster.info({ title: 'Example', description: 'This is a toast message.' });
	}
	return ();
}

Triggers

Shorthand methods are available for toast triggers, including: info(), success(), warning(), and error().

Or use the generic create() method to trigger toasts of any type: info|success|warning|error.

ts
toaster.create({
	type: 'info',
	title: 'This is a toast',
	description: 'This is a toast description.',
	duration: 4000, // Duration in milliseconds (default: 4000), use Infinity to prevent auto-close
	action: {
		label: 'Action',
		onClick: () => {
			// Handle action click
		},
	},
});

Placement

Set the placement value in your createToaster instance to define the global screen position.

Overlap

Use the overlap option in your createToaster instance to enable overlapping toasts.

Note: Hovering over the toast group will expand all the toasts.

Closable

Use the closable prop to toggle display of the close button.

Action

Use the action key to add an interactive button to your toast. This is useful for actions like “Undo”, “Retry”, or other contextual operations.

Meta

Use the meta key to pass arbitrary data along with the toast instance. This can be used to display an icon for example.

Promise

Toasts support asynchronous updates using promises.

Anatomy

Here’s an overview of how the Toast component is structured in code:

tsx
import { Toast, createToaster } from '@skeletonlabs/skeleton-react';

export default function Anatomy() {
	return (
		<Toast.Group>
			<Toast>
				<Toast.Message>
					<Toast.Title />
					<Toast.Description />
				</Toast.Message>
				<Toast.CloseTrigger />
			</Toast>
		</Toast.Group>
	);
}

API Reference

Root

PropDefaultType
toast—Omit<ToastOptions<any>, "id" | "parent">

index—number | undefined

element—((attributes: HTMLAttributes<"div">) => Element) | undefined

Render the element yourself

Context

PropDefaultType
children—(toast: ToastApi<PropTypes, any>) => ReactNode

Group

PropDefaultType
toaster—ToastStore<any>

children—((toast: ToastProps<any>) => Element | null) | undefined

element—((attributes: HTMLAttributes<"div">) => Element) | undefined

Render the element yourself

Message

PropDefaultType
element—((attributes: HTMLAttributes<"div">) => Element) | undefined

Render the element yourself

Title

PropDefaultType
element—((attributes: HTMLAttributes<"div">) => Element) | undefined

Render the element yourself

Description

PropDefaultType
element—((attributes: HTMLAttributes<"div">) => Element) | undefined

Render the element yourself

ActionTrigger

PropDefaultType
element—((attributes: HTMLAttributes<"button">) => Element) | undefined

Render the element yourself

CloseTrigger

PropDefaultType
element—((attributes: HTMLAttributes<"button">) => Element) | undefined

Render the element yourself

View page on GitHub

1. framework components
  2. ›
  3. toast

Toast

Display brief messages to users.

Usage

This component acts as a Singleton. Implement a single instance of <Toast.Group> in the root scope your application.

svelte
<script lang="ts">
	import { toaster } from '/some/path/toaster.ts';
	import { Toast } from '@skeletonlabs/skeleton-svelte';
	import type { Snippet } from 'svelte';

	interface Props {
		children?: Snippet;
	}

	const props: Props = $props();
</script>

{@render props.children?.()}

<Toast.Group {toaster}>
	{#snippet children(toast)}
		<Toast toast={toast}>
			<Toast.Message>
			<Toast.Title>{toast.title}</Toast.Title>
			<Toast.Description>{toast.description}</Toast.Description>
			</Toast.Message>
			<Toast.CloseTrigger />
		</Toast>
	{/snippet}
</Toast.Group>

Create a shared reference to the createToaster() instance. We’ll call it toaster here.

ts
<script lang="ts">
	import { createToaster } from '@skeletonlabs/skeleton-svelte';

	export const toaster = createToaster();
</script>

Use this shared reference to trigger messages on demand throughout your application.

svelte
<script lang="ts">
	import { toaster } from '/some/path/toaster.ts';

	function onClickHandler() {
		toaster.info({ title: 'Example', description: 'This is a toast message.' });
	}

</script>

Triggers

Shorthand methods are available for toast triggers, including: info(), success(), warning(), and error().

Or use the generic create() method to trigger toasts of any type: info|success|warning|error.

ts
toaster.create({
	type: 'info',
	title: 'This is a toast',
	description: 'This is a toast description.',
	duration: 4000, // Duration in milliseconds (default: 4000), use Infinity to prevent auto-close
	action: {
		label: 'Action',
		onClick: () => {
			// Handle action click
		},
	},
});

Placement

Set the placement value in your createToaster instance to define the global screen position.

Overlap

Use the overlap option in your createToaster instance to enable overlapping toasts.

Note: Hovering over the toast group will expand all the toasts.

Closable

Use the closable prop to toggle display of the close button.

Action

Use the action key to add an interactive button to your toast. This is useful for actions like “Undo”, “Retry”, or other contextual operations.

Meta

Use the meta key to pass arbitrary data along with the toast instance. This can be used to display an icon for example.

Promise

Toasts support asynchronous updates using promises.

Anatomy

Here’s an overview of how the Toast component is structured in code:

svelte
<script lang="ts">
	import { Toast, createToaster } from '@skeletonlabs/skeleton-svelte';
</script>

<Toast.Group>
	<Toast>
		<Toast.Message>
			<Toast.Title />
			<Toast.Description />
		</Toast.Message>
		<Toast.CloseTrigger />
	</Toast>
</Toast.Group>

API Reference

Root

PropDefaultType
toast—ToastOptions<any>

element—Snippet<[HTMLAttributes<"div">]> | undefined

Render the element yourself

Context

PropDefaultType
children—Snippet<[() => ToastApi<PropTypes, any>]>

Group

PropDefaultType
toaster—ToastStore<any>

children—Snippet<[any]> | undefined

element—Snippet<[HTMLAttributes<"div">]> | undefined

Render the element yourself

Message

PropDefaultType
element—Snippet<[HTMLAttributes<"div">]> | undefined

Render the element yourself

Title

PropDefaultType
element—Snippet<[HTMLAttributes<"div">]> | undefined

Render the element yourself

Description

PropDefaultType
element—Snippet<[HTMLAttributes<"div">]> | undefined

Render the element yourself

ActionTrigger

PropDefaultType
element—Snippet<[HTMLAttributes<"button">]> | undefined

Render the element yourself

CloseTrigger

PropDefaultType
element—Snippet<[HTMLAttributes<"button">]> | undefined

Render the element yourself

View page on GitHub